%define upstream_name	 JSON
%define upstream_version 4.10

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(JSON::backportPP::Boolean\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Parse and convert to JSON (JavaScript Object Notation)
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MAKAMAKA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module converts between JSON (JavaScript Object Notation) and
Perl data structure into each other.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i.DOS -e 's/\r//g' README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/*/*
%{perl_vendorlib}/JSON*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 4.100.0-2.mga10
+ Revision: 2215536
- Mageia 10 Mass Rebuild

* Wed Oct 12 2022 tv <tv> 4.100.0-1.mga9
+ Revision: 1896426
- update to 4.10

* Wed Aug 03 2022 tv <tv> 4.90.0-1.mga9
+ Revision: 1874907
- update to 4.09

* Tue Jun 28 2022 tv <tv> 4.70.0-1.mga9
+ Revision: 1866471
- update to 4.07

* Thu May 26 2022 tv <tv> 4.60.0-1.mga9
+ Revision: 1860241
- update to 4.06

* Mon Mar 21 2022 umeabot <umeabot> 4.50.0-2.mga9
+ Revision: 1815989
- Mageia 9 Mass Rebuild

* Wed Jan 19 2022 tv <tv> 4.50.0-1.mga9
+ Revision: 1769052
- update to 4.05

* Tue Dec 21 2021 tv <tv> 4.40.0-1.mga9
+ Revision: 1763115
- update to 4.04

* Thu Feb 25 2021 tv <tv> 4.30.0-1.mga9
+ Revision: 1690301
- update to 4.03

* Fri Feb 14 2020 umeabot <umeabot> 4.20.0-2.mga8
+ Revision: 1523119
- Mageia 8 Mass Rebuild

* Sat Feb 23 2019 tv <tv> 4.20.0-1.mga7
+ Revision: 1369636
- update to 4.02

* Mon Jan 21 2019 tv <tv> 4.10.0-1.mga7
+ Revision: 1358774
- update to 4.01

* Sat Dec 08 2018 tv <tv> 4.0.0-1.mga7
+ Revision: 1338863
- update to 4.00

* Thu Sep 20 2018 umeabot <umeabot> 2.970.10-3.mga7
+ Revision: 1284399
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 guillomovitch <guillomovitch> 2.970.10-2.mga7
+ Revision: 1239889
- drop bogus automatic dependency on perl(JSON::backportPP::Boolean)

* Sun Dec 24 2017 tv <tv> 2.970.10-1.mga7
+ Revision: 1184398
- update to 2.97001

* Tue Nov 21 2017 tv <tv> 2.970.0-1.mga7
+ Revision: 1178212
- update to 2.97000

* Mon Nov 20 2017 tv <tv> 2.960.0-1.mga7
+ Revision: 1177937
- update to 2.96

* Sun Oct 15 2017 shlomif <shlomif> 2.940.0-2.mga7
+ Revision: 1172213
- make doc readable

* Sat Jul 22 2017 shlomif <shlomif> 2.940.0-1.mga7
+ Revision: 1128679
- update to 2.94

* Sun Jun 19 2016 pterjan <pterjan> 2.900.0-5.mga6
+ Revision: 1028822
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.900.0-4.mga6
+ Revision: 946817
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.900.0-3.mga5
+ Revision: 750525
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.900.0-2.mga5
+ Revision: 685139
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Feb 07 2014 sander85 <sander85> 2.900.0-1.mga5
+ Revision: 585305
- update to 2.90

* Sat Oct 19 2013 umeabot <umeabot> 2.590.0-2.mga4
+ Revision: 527082
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.590.0-1.mga4
+ Revision: 439441
- update to 2.59

* Sun Jun 02 2013 kharec <kharec> 2.580.0-1.mga4
+ Revision: 435029
- update to 2.58

* Sun Jan 13 2013 umeabot <umeabot> 2.530.0-2.mga3
+ Revision: 368752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 2.530.0-1.mga2
+ Revision: 107003
- update to 2.53

* Wed Mar 09 2011 jquelin <jquelin> 2.510.0-1.mga1
+ Revision: 66987
- update to 2.51

* Mon Feb 28 2011 jquelin <jquelin> 2.500.0-3.mga1
+ Revision: 61588
- prevent perl(JSON::PP) to be referenced here (it's in perl-JSON-PP)

* Wed Jan 19 2011 jquelin <jquelin> 2.500.0-2.mga1
+ Revision: 24232
- fix specs
- imported package perl-JSON

